/// <reference types="react" />
import { sayHi } from './hi';
import { ApiRequest } from './api/apiRequest';
declare const authGuard: {
    pageWithAuth: (Component: import("next").NextPage<{}, {}>, state: import("./interfaces/user").UserState) => {
        (): JSX.Element;
        getInitialProps: (context: import("next").NextPageContext) => {} | Promise<{}>;
    };
    elementWithAuth: (Component: () => JSX.Element, state: import("./interfaces/user").UserState) => () => JSX.Element;
};
declare const permissionsGuard: {
    pageWithPermissions: (Component: import("next").NextPage<{}, {}>, state: import("./interfaces/user").UserState) => {
        (): JSX.Element;
        getInitialProps: (context: import("next").NextPageContext) => {} | Promise<{}>;
    };
    elementWithPermissions: (Component: () => JSX.Element, state: import("./interfaces/user").UserState) => () => JSX.Element;
};
declare const api: ApiRequest;
export { sayHi, authGuard, permissionsGuard, api };
