import { sayHi } from './hi';
import elementWithPermissions, { pageWithPermissions } from './guards/permissionsGuard';
import pageWithAuth, { elementWithAuth } from './guards/authGuard';
import { ApiRequest } from './api/apiRequest';
var authGuard = { pageWithAuth: pageWithAuth, elementWithAuth: elementWithAuth };
var permissionsGuard = { pageWithPermissions: pageWithPermissions, elementWithPermissions: elementWithPermissions };
var api = new ApiRequest(); // a singllke instance to use 
export { sayHi, authGuard, permissionsGuard, api };
